summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJohannes Dewender2013-03-12 11:50:57 +0100
committerJohannes Dewender2013-03-12 11:50:57 +0100
commit0fefcaef8f73b046571dfa0679a56d429d4f8390 (patch)
tree70ca7a5ff520d6f8100e70097b99dd1d5c8df799
downloadaur-0fefcaef8f73b046571dfa0679a56d429d4f8390.tar.gz
python2-musicbrainzngs-git: copy from non-git
-rw-r--r--.SRCINFO14
-rw-r--r--.gitignore8
-rw-r--r--PKGBUILD22
3 files changed, 44 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..969bf62ffbd
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,14 @@
+pkgbase = python2-musicbrainzngs
+ pkgdesc = bindings for the MusicBrainz NGS service
+ pkgver = 0.3
+ pkgrel = 1
+ url = https://github.com/alastair/python-musicbrainz-ngs
+ arch = any
+ license = BSD
+ makedepends = python2-distribute
+ depends = python2
+ source = http://pypi.python.org/packages/source/m/musicbrainzngs/musicbrainzngs-0.3.tar.gz
+ md5sums = 2969c2c6e5c2bb244d7847c3f48d66dc
+
+pkgname = python2-musicbrainzngs
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..bd9b4a41adc
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,8 @@
+*.tar.gz
+*.tar.xz
+*.tgz
+*.rpm
+*.zip
+*.bz2
+src/
+pkg/
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..5ae4996eb62
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,22 @@
+# Maintainer: Adrian Sampson <adrian@radbox.org>
+
+python=python2
+name=musicbrainzngs
+
+pkgname=$python-$name
+pkgver=0.3
+pkgrel=1
+pkgdesc="bindings for the MusicBrainz NGS service"
+depends=('python2')
+makedepends=('python2-distribute')
+arch=('any')
+source=(http://pypi.python.org/packages/source/m/$name/$name-$pkgver.tar.gz)
+md5sums=(2969c2c6e5c2bb244d7847c3f48d66dc)
+url="https://github.com/alastair/python-musicbrainz-ngs"
+license="BSD"
+
+build() {
+ cd $srcdir/$name-$pkgver
+ $python setup.py build || return 1
+ $python setup.py install --root=$pkgdir
+}